Get SSL certificate usage
curl --request GET \
--url https://api.gcore.com/cdn/sslData/{cert_id}/usage \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cdn/sslData/{cert_id}/usage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/sslData/{cert_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"id": 101,
"cname": "api.example.com",
"status": "active"
},
{
"id": 102,
"cname": "app.example.com",
"status": "active"
}
]
}SSL certificates
Get SSL certificate usage
Get list of CDN resources that are using this SSL certificate.
This endpoint is useful to check which resources depend on a certificate before renewing, modifying, or deleting it.
GET
/
cdn
/
sslData
/
{cert_id}
/
usage
Get SSL certificate usage
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
SSL certificate ID.
Response
Successful.
List of CDN resources using this SSL certificate.
CDN resources that have this certificate attached.
Show child attributes
Show child attributes
Was this page helpful?
⌘I